#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
	my($class, $var) = @_;
	return bless { var => $var }, $class;
}

sub PRINT  {
	my($self) = shift;
	${'main::'.$self->{var}} .= join '', @_;
}

sub OPEN  {}    # XXX Hackery in case the user redirects
sub CLOSE {}    # XXX STDERR/STDOUT.  This is not the behavior we want.

sub READ {}
sub READLINE {}
sub GETC {}
sub BINMODE {}

my $Original_File = 'root/usr/share/perl5/vendor_perl/esmith/BackupHistoryDB.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 42 root/usr/share/perl5/vendor_perl/esmith/BackupHistoryDB.pm

use_ok("esmith::BackupHistoryDB");

$C = esmith::BackupHistoryDB->open('10e-smith-backup/backuphistory.conf');
isa_ok($C, 'esmith::BackupHistoryDB');

my $rec = $C->get('1053551285');
isa_ok($rec, 'esmith::DB::Record');

is( $rec->prop('EndEpochTime'), 1053551299,
                                    "We can get stuff from the db");


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 71 root/usr/share/perl5/vendor_perl/esmith/BackupHistoryDB.pm


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

